GlobalEnglish LinGo: A Quick Introduction

LinGo 2.0

Getting Started with GlobalEnglish LinGo

LinGo 2.0

Your browser is not supported.

GlobalEnglish LinGo™ supports:

  • Microsoft Internet Explorer 7.x, 8.x, and 9.x
  • Mozilla Firefox 3.x +
  • Google Chrome

You can also download GlobalEnglish LinGo to your iPhone, Android and BlackBerry devices.